=== debian/changelog ===
workrave (1.10.50-3) unstable; urgency=medium

  [ Francois Marier ]
  * Update watch file to account for GitHub changes
  * Run wrap_and_sort -ast
  * Add Wayland work-around (fixes: #980873).
  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.
  * Convert example dbus script to Python 3.
  * Remove redundant gnome-shell dependency.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gobject-introspection,
      libdbusmenu-glib-dev, libdbusmenu-gtk3-dev, libgirepository1.0-dev,
      libglib2.0-0, libglibmm-2.4-dev, libgtk-3-dev, libgtkmm-3.0-dev,
      libpulse-dev and libsigc++-2.0-dev.
    + workrave-gnome: Drop versioned constraint on gnome-shell in Depends.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 21:53:43 -0800

workrave (1.10.50-2) unstable; urgency=medium

  [ Jeremy Bicha ]
   * Add patch to declare compatibility with GNOME Shell 43
   * Bump maximum GNOME Shell to 43

  [ Francois Marier ]
  * Update Standards-Version to 4.6.1.

 -- Francois Marier <francois@debian.org>  Mon, 22 Aug 2022 23:03:20 -0700

workrave (1.10.50-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Drop unused dbus-glib Build-Dep (closes: #955965).

  [ Francois Marier ]
  * New upstream release
  * Drop gnome_42 patch (applied upstream).

 -- Francois Marier <francois@debian.org>  Sat, 02 Apr 2022 20:51:59 -0700

workrave (1.10.49-3) unstable; urgency=medium

  * Let workrave suggest workrave extensions/plugins instead of the
    desktop environment packages directly.
  * Add patch to declare support for GNOME Shell 42.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Mar 2022 13:22:16 +0100

workrave (1.10.49-2) experimental; urgency=medium

  * Drop obsolete Breaks/Replaces.
  * Split applets into different binary packages to avoid pulling in
    a plethora of unwanted dependencies (closes: #783845).
  * Tighten GNOME shell deps according to metadata.json (closes: #802511).

 -- Jordi Mallach <jordi@debian.org>  Sun, 06 Feb 2022 11:49:15 +0100

workrave (1.10.49-1) unstable; urgency=medium

  * New upstream release
  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Thu, 06 Jan 2022 21:37:46 -0800

workrave (1.10.48-2) unstable; urgency=medium

  [ Jordi Mallach ]
  * Fix Repository field in upstream metadata.
  * Use https upstream urls and point to GitHub issue tracker.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.2.2.cvs20030617-1.

  [ Francois Marier ]
  * Fix ayatana-indicators3 install directory (closes: #1002248).

 -- Francois Marier <francois@debian.org>  Fri, 24 Dec 2021 13:58:16 -0800

workrave (1.10.48-1) unstable; urgency=medium

  [ Francois Marier ]
  * Update watch file to account for GitHub changes.

  [ Jordi Mallach ]
  * New upstream release.
  * Adapt watch file to further filename changes in GitHub releases.
  * Drop obsolete patches.
  * Update Standards-Version to 4.6.0.

 -- Jordi Mallach <jordi@debian.org>  Fri, 17 Sep 2021 12:47:23 +0200
