=== debian/watch ===
version=4
opts="\
    uversionmangle=s/_/./g" \
https://github.com/rcaelers/workrave/tags .*/releases/tag/v([0-9_]+)
