=== debian/changelog ===
workrave (1.10.52-6) unstable; urgency=medium

  * Add build-depend on libxfce4ui-2-dev (closes: #1091108)

 -- Francois Marier <francois@debian.org>  Sun, 22 Dec 2024 17:48:44 -0800

workrave (1.10.52-5) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079260)
  * Bump maximum GNOME Shell to 47

  [ Francois Marier ]
  * Bump Standards-Version up to 4.7.0
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Fri, 13 Sep 2024 21:51:21 -0700

workrave (1.10.52-3) unstable; urgency=medium

  * Build with --enable-gnome45 option (closes: #1052115)
  * debian/control: Bump minimum GNOME Shell to 45 to match metadata.json

 -- Francois Marier <francois@debian.org>  Sat, 13 Jul 2024 10:10:57 -0700

workrave (1.10.52-2) unstable; urgency=medium

  * Update Build-Depends to libglib2.0-0t64 (closes: #1068062)
  * Add support for gnome-shell 46 (closes: #1052115)

 -- Francois Marier <francois@debian.org>  Sun, 31 Mar 2024 15:35:10 -0700

workrave (1.10.52-1) unstable; urgency=medium

  * New upstream release
    - adds optional build-time support for GNOME 45 (This will be enabled
      later to fix bug #1052115.)
  * Fix GitHub watch file.

 -- Francois Marier <francois@debian.org>  Tue, 26 Sep 2023 09:58:08 -0700

workrave (1.10.51.1-5) unstable; urgency=medium

  * Add missing Breaks in workrave package.
  * Drop obsolete Breaks, Replaces and Build-Conflicts from debian/control.

 -- Francois Marier <francois@debian.org>  Sun, 17 Sep 2023 11:52:39 -0700

workrave (1.10.51.1-4) unstable; urgency=medium

  * Patch upstream appdata.xml to improve GNOME Software listing.
  * Move appdata.xml to the workrave package.
  * Move /usr/share/gir-1.0/ to the workrave package (lintian warning).
  * Drop private_dirs patch which has been disabled since 2012.

 -- Francois Marier <francois@debian.org>  Sun, 17 Sep 2023 11:05:17 -0700

workrave (1.10.51.1-3) unstable; urgency=medium

  * Add missing libgtk-4-dev build dependency (closes: #1050303)

 -- Francois Marier <francois@debian.org>  Sat, 26 Aug 2023 10:09:21 -0700

workrave (1.10.51.1-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Bump maximum GNOME Shell to 44.

 -- Francois Marier <francois@debian.org>  Mon, 19 Jun 2023 19:29:04 -0700

workrave (1.10.51.1-1) unstable; urgency=medium

  * New upstream release
    - Add compatibility for GNOME Shell 44 (closes: #1037163)
    - Drop gnome-shell-43.patch

 -- Francois Marier <francois@debian.org>  Sun, 18 Jun 2023 14:07:31 -0700
