=== debian/control ===
--- 
+++ 
@@ -17,25 +17,25 @@
  libdbusmenu-gtk3-dev,
  libgdome2-dev,
  libgirepository1.0-dev,
- libglib2.0-0,
+ libglib2.0-0t64,
  libglibmm-2.4-dev,
  libgnome-panel-dev (>= 3.37.1),
  libgstreamer1.0-dev,
  libgtk-3-dev,
+ libgtk-4-dev,
  libgtkmm-3.0-dev,
  libmate-panel-applet-dev,
  libpulse-dev,
  libsigc++-2.0-dev,
  libxfce4panel-2.0-dev,
+ libxfce4ui-2-dev,
  libxi-dev,
  libxmu-dev,
  libxss-dev,
  libxtst-dev,
  python3-jinja2,
  xmlto,
-Build-Conflicts:
- libgstreamer0.10-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://workrave.org/
 Vcs-Git: https://salsa.debian.org/debian/workrave.git
@@ -49,10 +49,6 @@
  workrave (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- workrave (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (Ayatana Indicator)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -77,10 +73,6 @@
  cinnamon-core,
  workrave (>= ${source:Version}),
  ${misc:Depends},
-Breaks:
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (Cinnamon integration)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -101,13 +93,10 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- gnome-shell (<< 44~),
+ gnome-shell (>= 45~),
+ gnome-shell (<< 48~),
  workrave (>= ${source:Version}),
  ${misc:Depends},
-Breaks:
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (GNOME integration)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -132,12 +121,6 @@
  workrave (>= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (GNOME panel applet)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -162,12 +145,6 @@
  workrave (>= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (MATE panel applet)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -192,35 +169,31 @@
  xfce4-panel,
  ${misc:Depends},
  ${shlibs:Depends},
+Description: Repetitive Strain Injury prevention tool (Xfce4 panel plugin)
+ Workrave is a program that assists in the recovery and prevention of
+ Repetitive Strain Injury (RSI). The program frequently alerts you to
+ take micro-pauses, rest breaks and restricts you to your daily limit.
+ .
+ It includes a system tray applet that works with GNOME and KDE
+ and has network capabilities to monitor your activity even if
+ switching back and forth between different computers is part of your
+ job.
+ .
+ Workrave offers many more configuration options than other similar
+ tools.
+ .
+ This package includes a Workrave plugin for the Xfce4 panel.
+
+Package: workrave
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ workrave-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Breaks:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Description: Repetitive Strain Injury prevention tool (Xfce4 panel plugin)
- Workrave is a program that assists in the recovery and prevention of
- Repetitive Strain Injury (RSI). The program frequently alerts you to
- take micro-pauses, rest breaks and restricts you to your daily limit.
- .
- It includes a system tray applet that works with GNOME and KDE
- and has network capabilities to monitor your activity even if
- switching back and forth between different computers is part of your
- job.
- .
- Workrave offers many more configuration options than other similar
- tools.
- .
- This package includes a Workrave plugin for the Xfce4 panel.
-
-Package: workrave
-Architecture: any
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- workrave-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+ workrave-data (<< 1.10.51.1-4),
 Suggests:
  workrave-ayatana,
  workrave-cinnamon,
