## workrave 1.10.53

=== debian/changelog ===
workrave (1.10.53-2) unstable; urgency=medium

  * Add missing Replaces in debian/control (closes: #1101970)
  * Add debian/gbp.conf to force pristine-tar OFF temporarily
  * Bump Standards-Version up to 4.7.2

 -- Francois Marier <francois@debian.org>  Thu, 03 Apr 2025 21:01:40 -0700

workrave (1.10.53-1) unstable; urgency=medium

  * New upstream release (closes: #1096060)
    - drop gnome-shell-46.patch and gnome48.patch (applied upstream)
  * Sort debian/control using "debputy reformat --style black"
  * Bump copyright years in debian/copyright

 -- Francois Marier <francois@debian.org>  Sun, 16 Feb 2025 09:18:25 -0800
