=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  autoconf-archive,
- debhelper-compat (= 13),
  docbook-utils,
  gobject-introspection,
  gsettings-desktop-schemas-dev,
@@ -35,7 +35,7 @@
  libxtst-dev,
  python3-jinja2,
  xmlto,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://workrave.org/
 Vcs-Git: https://salsa.debian.org/debian/workrave.git
@@ -93,8 +93,8 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
+ gnome-shell (<< 49~),
  gnome-shell (>= 45~),
- gnome-shell (<< 48~),
  workrave (>= ${source:Version}),
  ${misc:Depends},
 Description: Repetitive Strain Injury prevention tool (GNOME integration)
@@ -193,6 +193,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ workrave-data (<< 1.10.51.1-4),
+Replaces:
  workrave-data (<< 1.10.51.1-4),
 Suggests:
  workrave-ayatana,
