=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 		--disable-dependency-tracking \
 		--disable-static \
 		--enable-dbus \
+		--enable-gnome45 \
 		--enable-gsettings \
 		--enable-indicator \
 		--enable-exercises \
